org.deidentifier.arx

## Class DataHandleInternal

- java.lang.Object
- - org.deidentifier.arx.DataHandleInternal

    public class DataHandleInternal
    extends java.lang.Object

Wrapper class that provides information to StatisticsBuilder.

Author:
  Fabian Prasser

### Nested Class Summary

Nested Classes
`static interface` `DataHandleInternal.InterruptHandler` Interface

### Method Summary

All Methods Instance Methods Concrete Methods
`DataHandleInternal` `getAssociatedInput()` Returns the associated input handle, itself if there is none.
`java.lang.String` `getAttributeName(int column)` Method
`DataType<?>` `getBaseDataType(java.lang.String attribute)`
`int` `getColumnIndexOf(java.lang.String attribute)` Delegate
`ARXConfiguration` `getConfiguration()` Returns the associated configuration, if any.
`DataType<?>` `getDataType(java.lang.String attribute)` Method
`DataDefinition` `getDefinition()` Method
`java.lang.String[]` `getDistinctValues(int column)` Delegate
`java.lang.String[]` `getDistinctValues(int column, boolean ignoreSuppression, DataHandleInternal.InterruptHandler stop)` Method
`java.lang.String[]` `getDistinctValues(int column, DataHandleInternal.InterruptHandler stop)` Method
`int` `getEncodedValue(int row, int col, boolean ignoreSuppression)` Gets the encoded value.
`int` `getGeneralization(java.lang.String attribute)` Method
`DataHandle` `getHandle()` Returns the underlying handle.
`int` `getNumColumns()` Method
`int` `getNumRows()` Method
`StatisticsBuilder` `getStatisticsBuilder()`
`DataHandleInternal` `getSuperset()` Returns the superset, if this handle is a subset
`java.lang.String` `getValue(int row, int column)` Method
`java.lang.String` `getValue(int row, int col, boolean ignoreSuppression)` Gets the value
`int` `getValueIdentifier(int column, java.lang.String value)` Returns the internal id of the given value
`DataHandleInternal` `getView()` Returns the view
`boolean` `isAnonymous()` Returns whether the handle is anonymous
`boolean` `isOptimized()` Returns whether the handle is optimized
`boolean` `isOutlier(int row)` Returns whether the given row is suppressed
`boolean` `isOutlier(int row, int[] columns)` Returns whether this is an outlier regarding the given columns.
`boolean` `isOutput()` Returns whether this is an output handle

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getAssociatedInput

    public DataHandleInternal getAssociatedInput()

Returns the associated input handle, itself if there is none.

Returns:

#### getAttributeName

    public java.lang.String getAttributeName(int column)

Method

Parameters:
  `column` -
Returns:

#### getBaseDataType

    public DataType<?> getBaseDataType(java.lang.String attribute)

Parameters:
  `attribute` -
Returns:

#### getColumnIndexOf

    public int getColumnIndexOf(java.lang.String attribute)

Delegate

Parameters:
  `attribute` -
Returns:

#### getConfiguration

    public ARXConfiguration getConfiguration()

Returns the associated configuration, if any. Null otherwise.

Returns:

#### getDataType

    public DataType<?> getDataType(java.lang.String attribute)

Method

Parameters:
  `attribute` -
Returns:

#### getDefinition

    public DataDefinition getDefinition()

Method

Returns:

#### getDistinctValues

    public java.lang.String[] getDistinctValues(int column)

Delegate

Parameters:
  `column` -
Returns:

#### getDistinctValues

    public java.lang.String[] getDistinctValues(int column,
                                                boolean ignoreSuppression,
                                                DataHandleInternal.InterruptHandler stop)

Method

Parameters:
  `column` -
  `ignoreSuppression` -
  `stop` -
Returns:

#### getDistinctValues

    public java.lang.String[] getDistinctValues(int column,
                                                DataHandleInternal.InterruptHandler stop)

Method

Parameters:
  `column` -
  `stop` -
Returns:

#### getEncodedValue

    public int getEncodedValue(int row,
                               int col,
                               boolean ignoreSuppression)

Gets the encoded value. Returns -1 for suppressed values.

#### getGeneralization

    public int getGeneralization(java.lang.String attribute)

Method

Parameters:
  `attribute` -
Returns:

#### getHandle

    public DataHandle getHandle()

Returns the underlying handle. This should rarely be used.

Returns:

#### getNumColumns

    public int getNumColumns()

Method

Returns:

#### getNumRows

    public int getNumRows()

Method

Returns:

#### getStatisticsBuilder

    public StatisticsBuilder getStatisticsBuilder()

#### getSuperset

    public DataHandleInternal getSuperset()

Returns the superset, if this handle is a subset

Returns:

#### getValue

    public java.lang.String getValue(int row,
                                     int column)

Method

Parameters:
  `row` -
  `column` -
Returns:

#### getValue

    public java.lang.String getValue(int row,
                                     int col,
                                     boolean ignoreSuppression)

Gets the value

#### getValueIdentifier

    public int getValueIdentifier(int column,
                                  java.lang.String value)

Returns the internal id of the given value

Parameters:
  `column` -
  `value` -
Returns:

#### getView

    public DataHandleInternal getView()

Returns the view

Returns:

#### isAnonymous

    public boolean isAnonymous()

Returns whether the handle is anonymous

Returns:

#### isOptimized

    public boolean isOptimized()

Returns whether the handle is optimized

Returns:

#### isOutlier

    public boolean isOutlier(int row)

Returns whether the given row is suppressed

Parameters:
  `row` -
Returns:

#### isOutput

    public boolean isOutput()

Returns whether this is an output handle

Returns:

#### isOutlier

    public boolean isOutlier(int row,
                             int[] columns)

Returns whether this is an outlier regarding the given columns. If no columns have been specified, `true` will be returned.

Parameters:
  `row` -
  `columns` -
Returns: